﻿Public Class w_formPartOfDay

    Private Sub w_tbMinute_Enter(sender As System.Object, e As System.EventArgs) Handles w_tbMinute.Enter
        w_tbMinute.Text = ""
    End Sub

    Private Sub w_tbHour_Enter(sender As System.Object, e As System.EventArgs) Handles w_tbHour.Enter
        w_tbHour.Text = ""
    End Sub

    Private Sub w_btnCalculate_Click(sender As System.Object, e As System.EventArgs) Handles w_btnCalculate.Click
        Dim hours, minutes As Integer
        ' Fetch the hour and minute value from the text boxes
        If IsNumeric(w_tbHour.Text) And IsNumeric(w_tbMinute.Text) Then
            hours = CInt(w_tbHour.Text)
            minutes = CInt(w_tbMinute.Text)
        Else
            w_lblResultValue.ForeColor = Color.Black
            w_lblResultValue.Text = "Invalid data supplied."
            Return
        End If

        ' check to make sure they entered a valid hour
        If hours < 0 Or hours > 23 Then
            w_lblResultValue.ForeColor = Color.Black
            w_lblResultValue.Text = "Hours out of range."
            Return
        End If
        ' check to make sure they entered valid minutes
        If minutes < 0 Or minutes > 59 Then
            w_lblResultValue.ForeColor = Color.Black
            w_lblResultValue.Text = "Minutes out of range."
            Return
        End If

        If hours >= 21 Or hours < 6 Then
            w_lblResultValue.ForeColor = Color.Black
            w_lblResultValue.Text = "Night."
        ElseIf hours < 21 And hours >= 18 Then
            w_lblResultValue.ForeColor = Color.DarkBlue
            w_lblResultValue.Text = "Evening."
        ElseIf hours >= 14 Then
            w_lblResultValue.ForeColor = Color.LightBlue
            w_lblResultValue.Text = "Afternoon."
        ElseIf hours >= 11 Then
            w_lblResultValue.ForeColor = Color.Orange
            w_lblResultValue.Text = "Lunch."
        ElseIf hours >= 6 Then
            w_lblResultValue.ForeColor = Color.Yellow
            w_lblResultValue.Text = "Morning."
        Else
            ' Should never happen
            w_lblResultValue.ForeColor = Color.Black
            w_lblResultValue.Text = "I don't understand the time."
        End If
    End Sub

    Private Sub w_btnQuit_Click(sender As System.Object, e As System.EventArgs) Handles w_btnQuit.Click
        Me.Close()
    End Sub
End Class
